%define version 1.04
%define qtdir /usr/lib/qt-1.45
%define kdename kpppload
%define kderelease 10

Summary: A PPP connection load monitor for KDE.
Name: %{kdename}
Version: %{version}
Release: %{kderelease}
Source: ftp://ftp.interpath.net/pub/linuxberg/files/kde/network/%{kdename}-%{version}.tar.gz
Patch0: kpppload-1.04-htmldir.patch
Copyright: GPL
Group: Applications/Internet
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: /usr

%description
KPPPLoad is a PPP connection load monitor which works with KDE's
session management. KPPPLoad resembles xload.

Install kpppload if you need a PPP load monitor for KDE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .htmldir
# the package comes with bad dependencies!
find . -name \*.o | xargs rm -f
find . -name \*.moc | xargs rm -f
find . -name .deps | xargs rm -fr

%build
export KDEDIR=/usr QTDIR=%{qtdir}
%configure \
	--prefix=$KDEDIR \
	--with-install-root=$RPM_BUILD_ROOT
make clean
make CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde"

%install
make install-strip prefix=$RPM_BUILD_ROOT/usr

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- whoops fix typo

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- .kdelnk not config file

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- fix htmldir

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild for 6.2
- fix build on alpha/libtool 1.3.4
- fix up download URL

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- build for new KDE 1.1.2

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- rebuilt against new libstdc++

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- changed over to use /usr as the root

* Sat Dec 12 1998 Preston Brown <pbrown@redhat.com>
- initial, rather bare RPM adapted to our stringent standards. :)
